All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Class MdException

    com.sas.metadata.remote.MdException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  UnsupportedPlatformVersionException

    public class MdException

This exception type is used to define a metadata exception in general, whether it be a read/write/parse exception itself.

See Also:
  Serialized Form

Field Summary
`protected static MetadataResource` | `bundle` Bundle to load text resources from.

Constructor Summary
`MdException()`
`MdException(java.lang.String s)`
`MdException(java.lang.String s, java.lang.String SAS_Message, java.lang.String SAS_MessageSeverity)`
`MdException(java.lang.Throwable t)`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getSASMessage()`
`java.lang.String` | `getSASMessageSeverity()`
`org.w3c.dom.Document` | `parseXML(java.lang.String strXML)` routine to parse a passed in xml string and return a dom document
`void` | `printStackTrace()`

Field Detail

### bundle

    protected static MetadataResource bundle

  Bundle to load text resources from.

Constructor Detail

### MdException

    public MdException()

### MdException

    public MdException(java.lang.String s)

### MdException

    public MdException(java.lang.Throwable t)

### MdException

    public MdException(java.lang.String s,
                       java.lang.String SAS_Message,
                       java.lang.String SAS_MessageSeverity)

Method Detail

### getSASMessage

    public java.lang.String getSASMessage()

### getSASMessageSeverity

    public java.lang.String getSASMessageSeverity()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### parseXML

    public org.w3c.dom.Document parseXML(java.lang.String strXML)
                                  throws MdException

  routine to parse a passed in xml string and return a dom document

  Parameters:
    `strXML` - is the string input to pass to the parser
  Returns:
    a dom document that can be traversed for the various xml pieces
  Throws:
    `MdException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.